Как правильно настроить плагин Kotlin для Gradle?

Я пытаюсь создать базовый проект Gradle. Мой файл build.gradle приведен ниже. Я продолжаю получать ошибку ниже. Я не понимаю, потому что вы можете найти плагин здесь … где я думаю, что я направляюсь к: https://mvnrepository.com/artifact/org.jetbrains.kotlin/kotlin-gradle-plugin

Обновление: то же самое происходит с плагином Spring-Boot, если я прокомментирую линию Kotlin. Это не просто характерно для плагина Kotlin.

Ошибка:

 Error:(21, 0) Plugin [id: 'kotlin', version: '1.1.1'] was not found in any of the following sources: - Gradle Core Plugins (not a core plugin, please see https://docs.gradle.org/3.3/userguide/standard_plugins.html for available core plugins) - Gradle Central Plugin Repository (no 'kotlin' plugin available - see https://plugins.gradle.org for available plugins) 

build.gradle:

 buildscript { ext.kotlin_version = '1.1.1' repositories { mavenCentral() } dependencies { classpath("org.springframework.boot:spring-boot-gradle-plugin:1.2.6.RELEASE") classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" } } plugins { id 'java' id 'kotlin' version "1.1.1" id 'spring-boot' } group 'si.dime.kotlin.tutorials.rest' version '1.0-SNAPSHOT' sourceCompatibility = 1.8 repositories { mavenCentral() } sourceSets { main.java.srcDirs += 'src/main/kotlin' } dependencies { compile "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version" compile("org.springframework.boot:spring-boot-starter-web:1.3.3.RELEASE") } к buildscript { ext.kotlin_version = '1.1.1' repositories { mavenCentral() } dependencies { classpath("org.springframework.boot:spring-boot-gradle-plugin:1.2.6.RELEASE") classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" } } plugins { id 'java' id 'kotlin' version "1.1.1" id 'spring-boot' } group 'si.dime.kotlin.tutorials.rest' version '1.0-SNAPSHOT' sourceCompatibility = 1.8 repositories { mavenCentral() } sourceSets { main.java.srcDirs += 'src/main/kotlin' } dependencies { compile "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version" compile("org.springframework.boot:spring-boot-starter-web:1.3.3.RELEASE") } 

Для неядерных плагинов Gradle (те, которые не org.gradle пространству имен org.gradle ), вы должны использовать полный идентификатор, а также номер версии.

Официальная документация Котлина содержит идентификатор, который необходимо использовать:

 plugins { id "org.jetbrains.kotlin.jvm" version "<version to use>" } 

(Вы также можете найти эти идентификаторы, выполнив поиск плагина на сайте plugins.gradle.org .)